* {
    box-sizing: border-box;

    margin: 0;
    padding: 0;
}


body {

    font-family: sans-serif;
    font-size: 20px;
}


/*

VER LINE-HEIGHT

h1{
    font-weight: 300;
} 
    
*/

img {
    width: 100%;
    display: block;
}


header {
    background-color: #ffffff;
}

#menu_nav {
    width: 80%;
    max-width: 1000px;
    margin: auto;

    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
    align-items: center;
}


#logo {
    grid-column: 6/8;
    width: 100px;
    margin: 0 auto;
}

nav#desktop {
    grid-column: 9/13;
}

/* ### MENU  ### */
nav#desktop ul {
    margin: 0;
    padding: 0;
    list-style-type: none;

    display: flex;
    justify-content: space-between;
}

nav#desktop ul li {
    margin: 0 10px;
}

nav a {
    color: black;
    text-decoration: none;
}

nav a:visited {
    color: black;
}

nav a:hover {
    text-decoration: underline;
    color: white;
}




#bigmac {
    display: none;

    width: 40px;
    height: 28px;

    position: relative;

    z-index: 30;

    cursor: pointer;
}

#bigmac .linha {
    position: absolute;
    height: 4px;
    width: 100%;


    background-color: rgb(0, 0, 0);
    border-radius: 9px;

    opacity: 1;
    left: 0;

    transform: rotate(0deg);
    transition: 0.5s ease-in-out;
}


#bigmac .linha:nth-child(1) {
    top: 0px;
}

#bigmac .linha:nth-child(2) {
    top: 12px;
}

#bigmac .linha:nth-child(3) {
    top: 12px;
}

#bigmac .linha:nth-child(4) {
    top: 24px;
}

#bigmac.open .linha:nth-child(1) {
    top: 18px;
    width: 0%;
    left: 50%;
}

#bigmac.open .linha:nth-child(2) {
    transform: rotate(45deg);
}

#bigmac.open .linha:nth-child(3) {
    transform: rotate(-45deg);
}

#bigmac.open .linha:nth-child(4) {
    top: 18px;
    width: 0%;
    left: 50%;
}


nav#mobile {
    display: none;
}

#menu_nav h1 {
    grid-column: 1/4;
}


/* FIM HEADER */

/* HOMEPAGE */
.conteudo {
    width: 80%;
    max-width: 1100px;
    margin-left: auto;
    margin-right: auto;
}

.padding_grande {
    padding-bottom: 150px;
    padding-top: 150px;
}

.padding_pequeno {
    padding-bottom: 100px;
    padding-top: 100px;
}

.grelha {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 30px;
}

.item_6_col {
    grid-column: span 6;
}

.item_4_col {
    grid-column: span 4;
}

.item_12_col {
    grid-column: span 12;
}

p {
    margin-top: 20px;
    margin-bottom: 20px;
}

#entrada img {
    border-radius: 20px;
}

#entrada {
    padding-top: 150px;
}

#introducao {
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    font-size: 22px;
    padding-top: 200px;
    padding-bottom: 200px;
}

#dia_1 {
    background-color: #FFEDB1;
}

#dia_2 {
    background-color: #81CDEB;
}

#dia_3 {
    background-color: #AFD471;
}

#parcerias {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
}

.butao {
    display: block;
    margin: auto;
    width: 130px;
    background-color: #DA74B6;
    text-align: center;
    text-decoration: none;
    height: 30px;
    border-radius: 8px;
        padding: 5px 5px;
    color: #800053;
}

#introducao .butao {}

.butao:hover {
    background-color: #c95fa4;
}

#introducao {
    text-align: center;
    
}

/* PROGRAMA */


#entrada_p {
    background-color: #FFEDB1;
}

.color {
    color: purple;
    font-size: 17px;
    
}

#background_programa {
    background-image: url(imagens/entrada.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 600px;

    border-radius: 20px;
    color: rgb(255, 255, 255);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


#dia_1_programa {
    background-color: #FFEDB1;

}

#dia_2_programa {
    background-color: #81CDEB;
}

#dia_3_programa {
    background-color: #AFD471;
}

/* SOBRE */

#entrada_s {
    background-color: #FFEDB1;
}

#conceito {
    background-color: #FFEDB1;
    font-size: 25px;
    text-align: center;
}

#conceito h1 {
    padding-bottom: 50px;
}

#resumo2025 {
    background-color: #FFEDB1;
}

#resumo2024 {
    background-color: #FFEDB1;
}

h3 {
    font-size: 40px;
}

h2 {
    padding-bottom: 70px;
}

#resumo_dia1 {
    background-image: url(imagens/resumo25_01.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 300px;

    border-radius: 20px;
    color: rgb(255, 255, 255);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#resumo_dia2 {
    background-image: url(imagens/resumo25_02.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 300px;

    border-radius: 20px;
    color: rgb(255, 255, 255);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#resumo_dia3 {
    background-image: url(imagens/resumo25_03.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 300px;

    border-radius: 20px;
    color: rgb(255, 255, 255);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#resumo_dia1_24 {
    background-image: url(imagens/dia_1.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 300px;

    border-radius: 20px;
    color: rgb(255, 255, 255);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#resumo_dia2_24 {
    background-image: url(imagens/dia_2.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 300px;

    border-radius: 20px;
    color: rgb(255, 255, 255);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#resumo_dia3_24 {
    background-image: url(imagens/dia_3.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    height: 300px;

    border-radius: 20px;
    color: rgb(255, 255, 255);

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#conceito h1 {
    text-align: center;
}

h2 {
    text-align: center;
    font-size: 60px;
    color: white;
    text-stroke: 1px;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: rgb(255, 19, 224);
}

/* ############*/
/*  RESPONSIVO */
/* ############*/


@media (max-width:800px) {


    header {
        width: 100%;

        position: fixed;
        top: 0;


    }

    #menu_nav {
        width: 95%;
    }

    #bigmac {
        display: block;
        grid-column: 12/13;
    }

    h1 {
        margin: 0;
        text-align: center;
        padding: 20px ;
    }

    nav#desktop {
        display: none;

    }

    nav#mobile {
        display: block;
        position: fixed;


        z-index: 20;
        width: 100%;
        left: -100vw;
        top: 113px;
        transition: .3s linear;

        background-color: rgba(182, 230, 255, 0.95);
    }


    nav#mobile.menu_abre {
        left: 0;
    }

    nav#mobile ul {
        margin: 0;
        padding: 0;
        list-style-type: none;
    }

    nav#mobile li {
        width: 100%;
        padding: 20px 0;
        text-align: center;
        height: 80px;
    }

}